---
title: Window.moveTo()
slug: Web/API/Window/moveTo
tags:
  - API
  - CSSOM View
  - Method
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <code><strong>moveTo()</strong></code> method of the {{domxref("Window")}} interface moves the current window to the specified coordinates.</p>

<div class="notecard note">
<p><strong>Note:</strong> This function moves the window to an absolute location. In contrast, {{domxref("window.moveBy()")}} moves the window relative to its current location.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.moveTo(<var>x</var>, <var>y</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>x</code> is the horizontal coordinate to be moved to.</li>
 <li><code>y</code> is the vertical coordinate to be moved to.</li>
</ul>

<h2 id="Example">Example</h2>

<p>This example moves the window to the top-left corner of the screen.</p>

<pre class="brush:js">function origin() {
  window.moveTo(0, 0);
}</pre>

<ol>
</ol>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-moveto', 'window.moveTo()') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.moveTo")}}</p>

<p>As of Firefox 7, websites can no longer move a browser window <a class="link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=565541#c24">in the following cases</a>:</p>

<ol>
 <li>You can't move a window or tab that wasn’t created by {{domxref("Window.open()")}}.</li>
 <li>You can't move a window or tab when it’s in a window with more than one tab.</li>
</ol>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.moveBy()")}}</li>
</ul>
